org.hibernate.search.engine.impl

## Class DocumentBuilderHelper

- java.lang.Object
- - org.hibernate.search.engine.impl.DocumentBuilderHelper

-     public final class DocumentBuilderHelper
      extends Object

  Author:
    Hardy Ferentschik, Sanne Grinovero, Ales Justin

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `extractObjectFromFieldable(IndexableField field)` Deprecated. we should know the projection rules from the metadata rather than guess from the field properties
    `static String` | `extractStringFromFieldable(IndexableField field)` Deprecated. we should know the projection rules from the metadata rather than guess from the field properties
    `static DocumentBuilderIndexedEntity` | `getDocumentBuilder(String className, ExtendedSearchIntegrator searchIntegrator)`
    `static Object[]` | `getDocumentFields(DocumentBuilderIndexedEntity builderIndexedEntity, Document document, String[] fields, ConversionContext conversionContext)`
    `static Serializable` | `getDocumentId(DocumentBuilderIndexedEntity builderIndexedEntity, Document document, ConversionContext conversionContext)`
    `static int` | `getFieldPosition(String[] fields, String fieldName)`
    `static void` | `populateResult(String fieldName, FieldBridge fieldBridge, Store store, Object[] result, Document document, ConversionContext conversionContext, int matchingPosition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDocumentBuilder

          public static DocumentBuilderIndexedEntity getDocumentBuilder(String className,
                                                                        ExtendedSearchIntegrator searchIntegrator)

    - #### getDocumentId

          public static Serializable getDocumentId(DocumentBuilderIndexedEntity builderIndexedEntity,
                                                   Document document,
                                                   ConversionContext conversionContext)

    - #### getDocumentFields

          public static Object[] getDocumentFields(DocumentBuilderIndexedEntity builderIndexedEntity,
                                                   Document document,
                                                   String[] fields,
                                                   ConversionContext conversionContext)

    - #### populateResult

          public static void populateResult(String fieldName,
                                            FieldBridge fieldBridge,
                                            Store store,
                                            Object[] result,
                                            Document document,
                                            ConversionContext conversionContext,
                                            int matchingPosition)

    - #### extractObjectFromFieldable

          @Deprecated
          public static Object extractObjectFromFieldable(IndexableField field)

      Deprecated. we should know the projection rules from the metadata rather than guess from the field properties
      Parameters:
        `field` - the field
      Returns:
        the object

    - #### extractStringFromFieldable

          @Deprecated
          public static String extractStringFromFieldable(IndexableField field)

      Deprecated. we should know the projection rules from the metadata rather than guess from the field properties
      Parameters:
        `field` - the field to decompress
      Returns:
        the decompressed field

    - #### getFieldPosition

          public static int getFieldPosition(String[] fields,
                                             String fieldName)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved